<picture>
    <template>
        <responsive-picture-source v-if="desktopHdWidth" media="(min-width: 1201px)" :image="lazyLoading ? '' : desktopHdWidth" />
        <responsive-picture-source v-if="desktopWidth" media="(min-width: 1025px)" :image="lazyLoading ? '' : desktopWidth" />
        <responsive-picture-source v-if="tabletWidth" media="(min-width: 768px)" :image="lazyLoading ? '' : tabletWidth" />
        <responsive-picture-source v-if="mobileXlWidth" media="(min-width: 569px)" :image="lazyLoading ? '' : mobileXlWidth" />
        <responsive-picture-source v-if="mobileLWidth" media="(min-width: 481px)" :image="lazyLoading ? '' : mobileLWidth" />
        <responsive-picture-source media="(max-width: 480px)" :image="mobileWidth" />
    </template>
    <img :src="lazyLoading ? '' : mobileWidth.url ? mobileWidth.url : mobileWidth" :alt="description" class="img--responsive" :class="classes"/>
</picture>
